Devuan bug report logs - #605
libvirt-daemon: qemu-system-common : Breaks: libvirt-daemon (< 7.2.0-1) but,7.0.0-3+devuan3 is to be installed

version graph

Package: libvirt-daemon; Maintainer for libvirt-daemon is Andreas Messer <andi@bastelmap.de>; Source for libvirt-daemon is src:libvirt.

Reported by: Make IT Work <makeitwork@startmail.com>

Date: Sun, 22 Aug 2021 14:52:02 UTC

Severity: normal

Found in version 7.0.0-3+devuan3

Fixed in version libvirt-daemon/7.6.0-1+devuan1

Done: Andreas Messer <andi@bastelmap.de>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, makeitwork@startmail.com, Andreas Messer <andi@bastelmap.de>:
bug#605; Package libvirt-daemon. (Sun, 22 Aug 2021 14:52:02 GMT) (full text, mbox, link).


Acknowledgement sent to Make IT Work <makeitwork@startmail.com>:
New bug report received and forwarded. Copy sent to makeitwork@startmail.com, Andreas Messer <andi@bastelmap.de>. (Sun, 22 Aug 2021 14:52:05 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Make IT Work <makeitwork@startmail.com>
To: submit@bugs.devuan.org
Subject: libvirt-daemon: qemu-system-common : Breaks: libvirt-daemon (< 7.2.0-1) but,7.0.0-3+devuan3 is to be installed
Date: Sun, 22 Aug 2021 08:49:40 -0600
Package: libvirt-daemon
X-Debbugs-Cc: makeitwork@startmail.com
Version: 7.0.0-3+devuan3
Severity: normal

Dear Maintainer,

libvirt-daemon:  qemu-system-common : Breaks: libvirt-daemon (< 7.2.0-1) 
but 7.0.0-3+devuan3 is to be installed

   * What led up to the situation?
       Did a full dist-upgrade
   * What exactly did you do (or not do) that was effective (or
     ineffective)?
       Broke my packages by installing qemu-system-common suite to the 
latest version, which requires a newer version of libvirt-daemon
   * What was the outcome of this action?
       Unable to install libvirt-daemon
   * What outcome did you expect instead?
       Newer version of libvirt-daemon, so that I can install+run it


-- System Information:
Distributor ID: Devuan
Description:    Devuan GNU/Linux 4 (chimaera)
Release:        4
Codename:       n/a
Architecture: x86_64

Kernel: Linux 5.10.0-8-amd64 (SMP w/16 CPU threads)
Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_WARN, TAINT_OOT_MODULE,
TAINT_UNSIGNED_MODULE
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE not
set
Shell: /bin/sh linked to /bin/dash
Init: OpenRC (via /run/openrc), PID 1: init
LSM: AppArmor: enabled

Versions of packages libvirt-daemon depends on:
ii  libblkid1                   2.36.1-8+devuan1
ii  libc6                       2.31-16
ii  libdevmapper1.02.1          2:1.02.175-2.1
ii  libeudev1                   3.2.9-9
ii  libgcc-s1                   11.2.0-2
ii  libglib2.0-0                2.68.4-1
pn  libnetcf1                   <none>
ii  libparted2                  3.4-1
ii  libpcap0.8                  1.10.1-2
ii  libpciaccess0               0.16-1
ii  libselinux1                 3.1-3
pn  libvirt-daemon-driver-qemu  <none>
ii  libvirt0                    7.0.0-3+devuan3
ii  libxml2                     2.9.10+dfsg-6.7

Versions of packages libvirt-daemon recommends:
pn  libvirt-daemon-driver-lxc   <none>
pn  libvirt-daemon-driver-vbox  <none>
pn  libvirt-daemon-driver-xen   <none>
ii  libxml2-utils               2.9.10+dfsg-6.7
ii  netcat-openbsd              1.217.1-1
ii  qemu-system                 1:6.0+dfsg-4
ii  qemu-system-x86 [qemu-kvm]  1:6.0+dfsg-4

Versions of packages libvirt-daemon suggests:
pn  libvirt-daemon-driver-storage-gluster       <none>
pn  libvirt-daemon-driver-storage-iscsi-direct  <none>
pn  libvirt-daemon-driver-storage-rbd           <none>
pn  libvirt-daemon-driver-storage-zfs           <none>
pn  libvirt-daemon-system                       <none>

Information forwarded to devuan-bugs@lists.dyne.org:
bug#605; Package libvirt-daemon. (Mon, 23 Aug 2021 06:02:02 GMT) (full text, mbox, link).


Acknowledgement sent to Andreas Messer <andi@bastelmap.de>:
Extra info received and forwarded to list. (Mon, 23 Aug 2021 06:02:06 GMT) (full text, mbox, link).


Message #10 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Andreas Messer <andi@bastelmap.de>
To: Make IT Work <makeitwork@startmail.com>, 605@bugs.devuan.org
Cc: submit@bugs.devuan.org
Subject: Re: bug#605: libvirt-daemon: qemu-system-common : Breaks: libvirt-daemon (< 7.2.0-1) but,7.0.0-3+devuan3 is to be installed
Date: Mon, 23 Aug 2021 07:53:23 +0200
[Message part 1 (text/plain, inline)]
On Sun, Aug 22, 2021 at 08:49:40AM -0600, Make IT Work wrote:
> libvirt-daemon:  qemu-system-common : Breaks: libvirt-daemon (< 7.2.0-1) but
> 7.0.0-3+devuan3 is to be installed
> 
>    * What led up to the situation?
>        Did a full dist-upgrade
>    * What exactly did you do (or not do) that was effective (or
>      ineffective)?
>        Broke my packages by installing qemu-system-common suite to the
> latest version, which requires a newer version of libvirt-daemon
>    * What was the outcome of this action?
>        Unable to install libvirt-daemon
>    * What outcome did you expect instead?
>        Newer version of libvirt-daemon, so that I can install+run it
> 
> 
> -- System Information:
> Distributor ID: Devuan
> Description:    Devuan GNU/Linux 4 (chimaera)
> Release:        4
> Codename:       n/a
> Architecture: x86_64

Hmm. Devuan chimaera has currently same version of libvirt as bullseye
has. So I wouldn't expect this. Are you on ceres/unstable?

-- 
gnuPG keyid: 8C2BAF51
fingerprint: 28EE 8438 E688 D992 3661 C753 90B3 BAAA 8C2B AF51
[signature.asc (application/pgp-signature, inline)]

Information forwarded to devuan-bugs@lists.dyne.org:
bug#605; Package libvirt-daemon. (Mon, 23 Aug 2021 06:02:11 GMT) (full text, mbox, link).


Acknowledgement sent to Andreas Messer <andi@bastelmap.de>:
Extra info received and forwarded to list. (Mon, 23 Aug 2021 06:02:13 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org:
bug#605; Package libvirt-daemon. (Mon, 23 Aug 2021 06:02:16 GMT) (full text, mbox, link).


Acknowledgement sent to Andreas Messer <andi@bastelmap.de>:
Extra info received and forwarded to list. (Mon, 23 Aug 2021 06:02:17 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org:
bug#605; Package libvirt-daemon. (Mon, 23 Aug 2021 06:02:20 GMT) (full text, mbox, link).


Acknowledgement sent to Andreas Messer <andi@bastelmap.de>:
Extra info received and forwarded to list. (Mon, 23 Aug 2021 06:02:21 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, Andreas Messer <andi@bastelmap.de>:
bug#605; Package libvirt-daemon. (Mon, 23 Aug 2021 22:22:01 GMT) (full text, mbox, link).


Acknowledgement sent to Make IT Work <makeitwork@startmail.com>:
Extra info received and forwarded to list. Copy sent to Andreas Messer <andi@bastelmap.de>. (Mon, 23 Aug 2021 22:22:04 GMT) (full text, mbox, link).


Message #30 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Make IT Work <makeitwork@startmail.com>
To: Andreas Messer <andi@bastelmap.de>, 605@bugs.devuan.org
Cc: submit@bugs.devuan.org
Subject: Re: bug#605: libvirt-daemon: qemu-system-common : Breaks: libvirt-daemon (< 7.2.0-1) but,7.0.0-3+devuan3 is to be installed
Date: Mon, 23 Aug 2021 16:17:11 -0600
Yes.

On 8/22/21 11:53 PM, Andreas Messer wrote:
> On Sun, Aug 22, 2021 at 08:49:40AM -0600, Make IT Work wrote:
>> libvirt-daemon:  qemu-system-common : Breaks: libvirt-daemon (< 7.2.0-1) but
>> 7.0.0-3+devuan3 is to be installed
>>
>>     * What led up to the situation?
>>         Did a full dist-upgrade
>>     * What exactly did you do (or not do) that was effective (or
>>       ineffective)?
>>         Broke my packages by installing qemu-system-common suite to the
>> latest version, which requires a newer version of libvirt-daemon
>>     * What was the outcome of this action?
>>         Unable to install libvirt-daemon
>>     * What outcome did you expect instead?
>>         Newer version of libvirt-daemon, so that I can install+run it
>>
>>
>> -- System Information:
>> Distributor ID: Devuan
>> Description:    Devuan GNU/Linux 4 (chimaera)
>> Release:        4
>> Codename:       n/a
>> Architecture: x86_64
> 
> Hmm. Devuan chimaera has currently same version of libvirt as bullseye
> has. So I wouldn't expect this. Are you on ceres/unstable?
> 

Information forwarded to devuan-bugs@lists.dyne.org, Andreas Messer <andi@bastelmap.de>:
bug#605; Package libvirt-daemon. (Mon, 23 Aug 2021 22:22:09 GMT) (full text, mbox, link).


Acknowledgement sent to Make IT Work <makeitwork@startmail.com>:
Extra info received and forwarded to list. Copy sent to Andreas Messer <andi@bastelmap.de>. (Mon, 23 Aug 2021 22:22:11 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, Andreas Messer <andi@bastelmap.de>:
bug#605; Package libvirt-daemon. (Mon, 23 Aug 2021 22:22:13 GMT) (full text, mbox, link).


Acknowledgement sent to Make IT Work <makeitwork@startmail.com>:
Extra info received and forwarded to list. Copy sent to Andreas Messer <andi@bastelmap.de>. (Mon, 23 Aug 2021 22:22:15 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, Andreas Messer <andi@bastelmap.de>:
bug#605; Package libvirt-daemon. (Mon, 23 Aug 2021 22:22:17 GMT) (full text, mbox, link).


Acknowledgement sent to Make IT Work <makeitwork@startmail.com>:
Extra info received and forwarded to list. Copy sent to Andreas Messer <andi@bastelmap.de>. (Mon, 23 Aug 2021 22:22:19 GMT) (full text, mbox, link).


Reply sent to Andreas Messer <andi@bastelmap.de>:
You have taken responsibility. (Tue, 24 Aug 2021 13:02:02 GMT) (full text, mbox, link).


Notification sent to Make IT Work <makeitwork@startmail.com>:
bug acknowledged by developer. (Tue, 24 Aug 2021 13:02:09 GMT) (full text, mbox, link).


Message #50 received at 605-done@bugs.devuan.org (full text, mbox, reply):

From: Andreas Messer <andi@bastelmap.de>
To: 605-done@bugs.devuan.org
Subject: Re: bug#605: libvirt-daemon: qemu-system-common : Breaks: libvirt-daemon (< 7.2.0-1) but,7.0.0-3+devuan3 is to be installed
Date: Tue, 24 Aug 2021 14:55:07 +0200
[Message part 1 (text/plain, inline)]
Package: libvirt-daemon
Version: 7.6.0-1+devuan1

libvirt 7.6.0-1+devuan1 uploaded and now available in ceres/unstable.
Should solve the conflict. Thanks for your report!
-- 
gnuPG keyid: 8C2BAF51
fingerprint: 28EE 8438 E688 D992 3661 C753 90B3 BAAA 8C2B AF51
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Thu Dec 2 04:19:46 2021;